Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- ClassPathMemoryConsumptionTester
- CommonRunner
- CompilationUnits
- CompileClient
- CompileServer
- CompileSocket
- CompilerCommand
- ConsoleWriter
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- HasCompileSocket
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- ObjectRunner
- OfflineCompilerCommand
- Parsing
- PhaseAssembly
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptRunner
- Settings
- StandardCompileClient
- StandardCompileServer
- SubComponent

o

scala.tools.nsc

# MainBench 

###

#### object MainBench extends Driver with EvalLoop

The main class for NSC, a compiler for the programming language Scala.

Source
  MainBench.scala

Linear Supertypes
EvalLoop, Driver, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MainBench
2. EvalLoop
3. Driver
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val NBest: Int
5.  val NIter: Int
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  var command: CompilerCommand
   Attributes
     protected
   Definition Classes
     Driver
9.  def doCompile(compiler: Global): Unit
   Attributes
     protected
   Definition Classes
     Driver
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def loop(action: (String) ⇒ Unit): Unit
    Definition Classes
      EvalLoop
17.  def main(args: Array[String]): Unit
    Definition Classes
      MainBench → Driver
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def newCompiler(): Global
    Definition Classes
      MainBench → Driver
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  def process(args: Array[String]): Boolean
    Definition Classes
      Driver
23.  def processSettingsHook(): Boolean

    True to continue compilation.

    True to continue compilation.

    Attributes
      protected
    Definition Classes
      Driver
24.  val prompt: String
    Definition Classes
      Driver
25.  var reporter: Reporter
    Definition Classes
      Driver
26.  def scalacError(msg: String): Unit

    Forward errors to the (current) reporter.

    Forward errors to the (current) reporter.

    Attributes
      protected
    Definition Classes
      Driver
27.  var settings: Settings
    Attributes
      protected
    Definition Classes
      Driver
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  lazy val theCompiler: Global
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from EvalLoop

### Inherited from Driver

### Inherited from AnyRef

### Inherited from Any

### Ungrouped